!{\src2tex{textfont=tt}}
!!****f* ABINIT/defs_excor
!! NAME
!! defs_excor
!!
!! FUNCTION
!! This module contains definitions for a number of constants used in
!! exchange-correlation schemes in the AtomPaw code.
!!
!! COPYRIGHT
!! Copyright (C) 1998-2004 ABINIT group (NH, FJ, MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!!
!! NOTES
!! Comes from the file excorpbe.f90
!! of the code atompaw by N.A.W. Holzwarth
!!
!! SOURCE

 module defs_excor

 use defs_basis

 implicit none

! Parameters for the Perdew-Wang (PRB 45,13244 (1992)) LDA correlation      
  Real(dp), parameter :: AA=0.0310907d0
  Real(dp), parameter :: a1=0.21370d0
  Real(dp), parameter :: b1=7.59570d0
  Real(dp), parameter :: b2=3.58760d0
  Real(dp), parameter :: b3=1.63820d0
  Real(dp), parameter :: b4=0.49294d0

! Parameters from PBE paper (and in program from web)
  Real(dp), parameter :: kappa= 0.804d0
  Real(dp), parameter :: mu = 0.2195149727645171d0
  Real(dp), parameter :: beta = 0.06672455060314922d0
  Real(dp), parameter :: gamm = 0.03109069086965489503494086371273d0
  Real(dp), parameter :: betabygamm=beta/gamm

 end module defs_excor
!!***
