!{\src2tex{textfont=tt}}
!!****f* ABINIT/permutations
!! NAME
!! permutations
!!
!! FUNCTION
!! Returns N!/(N-k)! if N>=0 and N-k>0 otherwise 0 is returned
!! output is real
!!
!! COPYRIGHT
!! Copyright (C) 1998-2004 ABINIT group (MT, FJ)
!! This file is distributed under the terms of the 
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~ABINIT/Infos/contributors .
!!
!! INPUTS
!!   kk=number k to use
!!   nn=number N to use
!!
!! OUTPUT
!!   permutations= n!/(n-k)! (real)
!!
!! PARENTS
!!      gaunt
!!
!! CHILDREN
!!
!! SOURCE

 function permutations(nn,kk)

 use defs_basis
 
 implicit none
 
!Arguments ---------------------------------------------
 integer,intent(in) :: kk,nn
 real(dp) :: permutations
 
!Local variables ---------------------------------------
 integer :: ii,pp
 
! *********************************************************************

 if ((nn>=0).and.((nn-kk)>=0)) then
  pp=1
  do ii=nn-kk+1,nn
   pp=pp*ii
  enddo
 else
  pp=0
 endif

 permutations=dble(pp)

 end function permutations

!!***
